org.wildfly.swarm.config.messaging.activemq.server.ha_policy.replication_colocated

## Class MasterConfiguration<T extends MasterConfiguration<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.ha_policy.replication_colocated.MasterConfiguration<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class MasterConfiguration<T extends MasterConfiguration<T>>
      extends HashMap

  A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MasterConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `checkForLiveServer()` Whether to check the cluster for another server using the same server ID when starting up.
    `T` | `checkForLiveServer(Boolean value)` Whether to check the cluster for another server using the same server ID when starting up.
    `String` | `clusterName()` Name of the cluster used for replication.
    `T` | `clusterName(String value)` Name of the cluster used for replication.
    `String` | `getKey()`
    `String` | `groupName()` If set, backup servers will only pair with live servers with matching group-name.
    `T` | `groupName(String value)` If set, backup servers will only pair with live servers with matching group-name.
    `Long` | `initialReplicationSyncTimeout()` How long to wait until the initiation replication is synchronized.
    `T` | `initialReplicationSyncTimeout(Long value)` How long to wait until the initiation replication is synchronized.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### MasterConfiguration

          public MasterConfiguration()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### checkForLiveServer

          public Boolean checkForLiveServer()

      Whether to check the cluster for another server using the same server ID when starting up.

    - #### checkForLiveServer

          public T checkForLiveServer(Boolean value)

      Whether to check the cluster for another server using the same server ID when starting up.

    - #### clusterName

          public String clusterName()

      Name of the cluster used for replication.

    - #### clusterName

          public T clusterName(String value)

      Name of the cluster used for replication.

    - #### groupName

          public String groupName()

      If set, backup servers will only pair with live servers with matching group-name.

    - #### groupName

          public T groupName(String value)

      If set, backup servers will only pair with live servers with matching group-name.

    - #### initialReplicationSyncTimeout

          public Long initialReplicationSyncTimeout()

      How long to wait until the initiation replication is synchronized.

    - #### initialReplicationSyncTimeout

          public T initialReplicationSyncTimeout(Long value)

      How long to wait until the initiation replication is synchronized.

Copyright © 2017 JBoss by Red Hat. All rights reserved.